# Testing Facilities

Testing Facilities

 - [GET /testingFacilities/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/testing-facilities/listtestingfacilities.md): This method will scan all testing facilities and and return them to the caller.
 - [POST /testingFacilities/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/testing-facilities/createtestingfacility.md): This method will auto-generate an ID and create a new testing facility. If an ID is specified for the testing facility, an error will be thrown.
 - [POST /testingFacilities/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/testing-facilities/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [DELETE /testingFacilities/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/testing-facilities/deletetestingfacility.md): This method will delete a testing facility with the specified ID.
 - [GET /testingFacilities/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/testing-facilities/gettestingfacility.md): This method will look up a testing facility by the specified ID and return it back.
 - [PATCH /testingFacilities/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/testing-facilities/patchtestingfacility.md): This method will patch an existing testing facility with the specified ID, using the HTTP PATCH specification.
 - [PUT /testingFacilities/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/testing-facilities/updatetestingfacility.md): This method will update an existing testing facility with the specified ID.
